> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/devices.md).

# Devices

## GET /V2/{tenantVarCode}/devices

> Returns devices for specified tenant> \
> This endpoint returns paged results of up to 10,000 records per response, using the X-CONTINUATIONTOKEN header.> \
> When the response includes this token, it indicates that additional records are available. To retrieve the next set of results,> \
> include the X-CONTINUATIONTOKEN token from the previous response header in the header of your subsequent request.> \
> This process can be repeated until no further continuation token is provided, indicating that you have reached the end of the dataset.

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Devices"}],"paths":{"/V2/{tenantVarCode}/devices":{"get":{"tags":["Devices"],"summary":"Returns devices for specified tenant\r\nThis endpoint returns paged results of up to 10,000 records per response, using the X-CONTINUATIONTOKEN header.\r\nWhen the response includes this token, it indicates that additional records are available. To retrieve the next set of results,\r\ninclude the X-CONTINUATIONTOKEN token from the previous response header in the header of your subsequent request.\r\nThis process can be repeated until no further continuation token is provided, indicating that you have reached the end of the dataset.","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"subtenants","in":"query","description":"When 'subtenants=true' the list contains devices for the tenant and all subtenants","schema":{"type":"boolean","default":false}},{"name":"photo","in":"query","description":"If true, result include Base64 encoded device photo","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Device"}}}}}}}}},"components":{"schemas":{"Device":{"required":["DeviceId","FriendlyName"],"type":"object","properties":{"TenantCode":{"type":"string","description":"Tenant Var Code","nullable":true},"DeviceId":{"minLength":1,"type":"string","description":"A string that uniquely identifies the device. It can contain only letters, digits, hyphen and can be up to 50 characters long. This is normally the IMEI number"},"DeviceType":{"type":"string","description":"A string enumeration that defines the device type. For list of avalibale device types check your tenant object","nullable":true},"FriendlyName":{"minLength":1,"type":"string","description":"A string used to more easily identify the device"},"Description":{"type":"string","description":"A text string used to describe the device","nullable":true},"Username":{"type":"string","description":"The username (email address) of the assigned owner of the device","nullable":true},"UserId":{"type":"string","description":"The userId of the assigned owner of the device","nullable":true},"DeviceStatus":{"type":"string","description":"The current status of the device. Valid values are: \"Active\" or \"Inactive\"","nullable":true},"ProvisioningStatus":{"$ref":"#/components/schemas/ProvisioningStatus"},"DateAdded":{"type":"string","description":"The date (UTC) that the device was registered on the platform","format":"date-time","nullable":true},"GroupId":{"type":"string","description":"Reference to Group or null when device is not member of any group","nullable":true},"CheckInScheduleEnabled":{"type":"boolean","description":"A boolean indicating if the schedule is checked or not","nullable":true},"CheckInScheduleOverdue":{"$ref":"#/components/schemas/OverdueState"},"EnableEmailDelivery":{"type":"boolean","description":"If set \"true\", the device can be emailed from any email client using the following address format \"imei@globalalerting.com\""},"EnableSmsReplies":{"type":"boolean","description":"If set \"true\", the sms messages from the device will include a reply link","nullable":true},"IsMonitored":{"type":"boolean","description":"A boolean indicating if the device is currently monitored"},"MonitoringIntervalMinutes":{"type":"integer","description":"A whole number that specifies number of minutes for device monitoring interval","format":"int32","nullable":true},"MonitoringBufferMinutes":{"type":"integer","description":"A whole number that specifies number of minutes buffer for device monitoring","format":"int32","nullable":true},"MonitoringOverdue":{"$ref":"#/components/schemas/OverdueState"},"EmergencyState":{"$ref":"#/components/schemas/EmergencyState"},"EmergencyStateAcknowledged":{"type":"boolean","description":"A flag indicating that the emergency state on the device has been acknowledged on the portal","nullable":true},"PhoneNumber":{"type":"string","description":"A string starting with '+' indicating device phone number (can be used only if device supports phone number property)","nullable":true},"LastLatitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastLongitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastMessageTime":{"type":"string","description":"A date and time of last MO Message (UTC)","format":"date-time","nullable":true},"LastLocationTime":{"type":"string","description":"A date and time of last MO Message with position (UTC)","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional device properties","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"ETag":{"type":"string","description":"ETag representing record version","nullable":true},"Photo":{"type":"string","description":"Base64 encoded device photo. Included in GET request only when photo parameter is specified.","nullable":true},"CustomEmailAddress":{"type":"string","description":"Custom Email address. If supported for your account","nullable":true},"SecondaryDeviceId":{"type":"string","description":"Secondary Device Id for devices that send messages with multiple device identifiers.","nullable":true}},"additionalProperties":false},"ProvisioningStatus":{"enum":["Provisioned","NotProvisioned","Suspended"],"type":"string"},"OverdueState":{"enum":["NotOverdue","Warning","Overdue"],"type":"string"},"EmergencyState":{"enum":["None","Emergency","EmergencyCancel","NotSpecified"],"type":"string"}}}}
```

## POST /V2/{tenantVarCode}/devices

> Creates a new device> \\
>
> \
> Set GapAppSendEmail property to true when you are creating a new GapApp device and you want assigned user to receive welcome email.

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Devices"}],"paths":{"/V2/{tenantVarCode}/devices":{"post":{"tags":["Devices"],"summary":"Creates a new device\r\n\r\nSet GapAppSendEmail property to true when you are creating a new GapApp device and you want assigned user to receive welcome email.","operationId":"PostDevice","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Device","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Device"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Device"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Device"}},"text/json":{"schema":{"$ref":"#/components/schemas/Device"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Device"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Device"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/Device"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Device":{"required":["DeviceId","FriendlyName"],"type":"object","properties":{"TenantCode":{"type":"string","description":"Tenant Var Code","nullable":true},"DeviceId":{"minLength":1,"type":"string","description":"A string that uniquely identifies the device. It can contain only letters, digits, hyphen and can be up to 50 characters long. This is normally the IMEI number"},"DeviceType":{"type":"string","description":"A string enumeration that defines the device type. For list of avalibale device types check your tenant object","nullable":true},"FriendlyName":{"minLength":1,"type":"string","description":"A string used to more easily identify the device"},"Description":{"type":"string","description":"A text string used to describe the device","nullable":true},"Username":{"type":"string","description":"The username (email address) of the assigned owner of the device","nullable":true},"UserId":{"type":"string","description":"The userId of the assigned owner of the device","nullable":true},"DeviceStatus":{"type":"string","description":"The current status of the device. Valid values are: \"Active\" or \"Inactive\"","nullable":true},"ProvisioningStatus":{"$ref":"#/components/schemas/ProvisioningStatus"},"DateAdded":{"type":"string","description":"The date (UTC) that the device was registered on the platform","format":"date-time","nullable":true},"GroupId":{"type":"string","description":"Reference to Group or null when device is not member of any group","nullable":true},"CheckInScheduleEnabled":{"type":"boolean","description":"A boolean indicating if the schedule is checked or not","nullable":true},"CheckInScheduleOverdue":{"$ref":"#/components/schemas/OverdueState"},"EnableEmailDelivery":{"type":"boolean","description":"If set \"true\", the device can be emailed from any email client using the following address format \"imei@globalalerting.com\""},"EnableSmsReplies":{"type":"boolean","description":"If set \"true\", the sms messages from the device will include a reply link","nullable":true},"IsMonitored":{"type":"boolean","description":"A boolean indicating if the device is currently monitored"},"MonitoringIntervalMinutes":{"type":"integer","description":"A whole number that specifies number of minutes for device monitoring interval","format":"int32","nullable":true},"MonitoringBufferMinutes":{"type":"integer","description":"A whole number that specifies number of minutes buffer for device monitoring","format":"int32","nullable":true},"MonitoringOverdue":{"$ref":"#/components/schemas/OverdueState"},"EmergencyState":{"$ref":"#/components/schemas/EmergencyState"},"EmergencyStateAcknowledged":{"type":"boolean","description":"A flag indicating that the emergency state on the device has been acknowledged on the portal","nullable":true},"PhoneNumber":{"type":"string","description":"A string starting with '+' indicating device phone number (can be used only if device supports phone number property)","nullable":true},"LastLatitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastLongitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastMessageTime":{"type":"string","description":"A date and time of last MO Message (UTC)","format":"date-time","nullable":true},"LastLocationTime":{"type":"string","description":"A date and time of last MO Message with position (UTC)","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional device properties","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"ETag":{"type":"string","description":"ETag representing record version","nullable":true},"Photo":{"type":"string","description":"Base64 encoded device photo. Included in GET request only when photo parameter is specified.","nullable":true},"CustomEmailAddress":{"type":"string","description":"Custom Email address. If supported for your account","nullable":true},"SecondaryDeviceId":{"type":"string","description":"Secondary Device Id for devices that send messages with multiple device identifiers.","nullable":true}},"additionalProperties":false},"ProvisioningStatus":{"enum":["Provisioned","NotProvisioned","Suspended"],"type":"string"},"OverdueState":{"enum":["NotOverdue","Warning","Overdue"],"type":"string"},"EmergencyState":{"enum":["None","Emergency","EmergencyCancel","NotSpecified"],"type":"string"}}}}
```

## GET /V2/{tenantVarCode}/devices/{deviceId}

> Returns a specific device

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Devices"}],"paths":{"/V2/{tenantVarCode}/devices/{deviceId}":{"get":{"tags":["Devices"],"summary":"Returns a specific device","operationId":"GetDevice","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"deviceId","in":"path","description":"Device Id","required":true,"schema":{"type":"string"}},{"name":"photo","in":"query","description":"If true, result include Base64 encoded device photo","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Device"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Device"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Device"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/Device"}},"text/json":{"schema":{"$ref":"#/components/schemas/Device"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Device"}}}}}}}},"components":{"schemas":{"Device":{"required":["DeviceId","FriendlyName"],"type":"object","properties":{"TenantCode":{"type":"string","description":"Tenant Var Code","nullable":true},"DeviceId":{"minLength":1,"type":"string","description":"A string that uniquely identifies the device. It can contain only letters, digits, hyphen and can be up to 50 characters long. This is normally the IMEI number"},"DeviceType":{"type":"string","description":"A string enumeration that defines the device type. For list of avalibale device types check your tenant object","nullable":true},"FriendlyName":{"minLength":1,"type":"string","description":"A string used to more easily identify the device"},"Description":{"type":"string","description":"A text string used to describe the device","nullable":true},"Username":{"type":"string","description":"The username (email address) of the assigned owner of the device","nullable":true},"UserId":{"type":"string","description":"The userId of the assigned owner of the device","nullable":true},"DeviceStatus":{"type":"string","description":"The current status of the device. Valid values are: \"Active\" or \"Inactive\"","nullable":true},"ProvisioningStatus":{"$ref":"#/components/schemas/ProvisioningStatus"},"DateAdded":{"type":"string","description":"The date (UTC) that the device was registered on the platform","format":"date-time","nullable":true},"GroupId":{"type":"string","description":"Reference to Group or null when device is not member of any group","nullable":true},"CheckInScheduleEnabled":{"type":"boolean","description":"A boolean indicating if the schedule is checked or not","nullable":true},"CheckInScheduleOverdue":{"$ref":"#/components/schemas/OverdueState"},"EnableEmailDelivery":{"type":"boolean","description":"If set \"true\", the device can be emailed from any email client using the following address format \"imei@globalalerting.com\""},"EnableSmsReplies":{"type":"boolean","description":"If set \"true\", the sms messages from the device will include a reply link","nullable":true},"IsMonitored":{"type":"boolean","description":"A boolean indicating if the device is currently monitored"},"MonitoringIntervalMinutes":{"type":"integer","description":"A whole number that specifies number of minutes for device monitoring interval","format":"int32","nullable":true},"MonitoringBufferMinutes":{"type":"integer","description":"A whole number that specifies number of minutes buffer for device monitoring","format":"int32","nullable":true},"MonitoringOverdue":{"$ref":"#/components/schemas/OverdueState"},"EmergencyState":{"$ref":"#/components/schemas/EmergencyState"},"EmergencyStateAcknowledged":{"type":"boolean","description":"A flag indicating that the emergency state on the device has been acknowledged on the portal","nullable":true},"PhoneNumber":{"type":"string","description":"A string starting with '+' indicating device phone number (can be used only if device supports phone number property)","nullable":true},"LastLatitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastLongitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastMessageTime":{"type":"string","description":"A date and time of last MO Message (UTC)","format":"date-time","nullable":true},"LastLocationTime":{"type":"string","description":"A date and time of last MO Message with position (UTC)","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional device properties","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"ETag":{"type":"string","description":"ETag representing record version","nullable":true},"Photo":{"type":"string","description":"Base64 encoded device photo. Included in GET request only when photo parameter is specified.","nullable":true},"CustomEmailAddress":{"type":"string","description":"Custom Email address. If supported for your account","nullable":true},"SecondaryDeviceId":{"type":"string","description":"Secondary Device Id for devices that send messages with multiple device identifiers.","nullable":true}},"additionalProperties":false},"ProvisioningStatus":{"enum":["Provisioned","NotProvisioned","Suspended"],"type":"string"},"OverdueState":{"enum":["NotOverdue","Warning","Overdue"],"type":"string"},"EmergencyState":{"enum":["None","Emergency","EmergencyCancel","NotSpecified"],"type":"string"}}}}
```

## PUT /V2/{tenantVarCode}/devices/{deviceId}

> Updates an existing device

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Devices"}],"paths":{"/V2/{tenantVarCode}/devices/{deviceId}":{"put":{"tags":["Devices"],"summary":"Updates an existing device","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"deviceId","in":"path","description":"Device Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Device","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/Device"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Device"}},"text/plain":{"schema":{"$ref":"#/components/schemas/Device"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Device"}},"text/json":{"schema":{"$ref":"#/components/schemas/Device"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Device"}},"text/xml":{"schema":{"$ref":"#/components/schemas/Device"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/Device"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Device":{"required":["DeviceId","FriendlyName"],"type":"object","properties":{"TenantCode":{"type":"string","description":"Tenant Var Code","nullable":true},"DeviceId":{"minLength":1,"type":"string","description":"A string that uniquely identifies the device. It can contain only letters, digits, hyphen and can be up to 50 characters long. This is normally the IMEI number"},"DeviceType":{"type":"string","description":"A string enumeration that defines the device type. For list of avalibale device types check your tenant object","nullable":true},"FriendlyName":{"minLength":1,"type":"string","description":"A string used to more easily identify the device"},"Description":{"type":"string","description":"A text string used to describe the device","nullable":true},"Username":{"type":"string","description":"The username (email address) of the assigned owner of the device","nullable":true},"UserId":{"type":"string","description":"The userId of the assigned owner of the device","nullable":true},"DeviceStatus":{"type":"string","description":"The current status of the device. Valid values are: \"Active\" or \"Inactive\"","nullable":true},"ProvisioningStatus":{"$ref":"#/components/schemas/ProvisioningStatus"},"DateAdded":{"type":"string","description":"The date (UTC) that the device was registered on the platform","format":"date-time","nullable":true},"GroupId":{"type":"string","description":"Reference to Group or null when device is not member of any group","nullable":true},"CheckInScheduleEnabled":{"type":"boolean","description":"A boolean indicating if the schedule is checked or not","nullable":true},"CheckInScheduleOverdue":{"$ref":"#/components/schemas/OverdueState"},"EnableEmailDelivery":{"type":"boolean","description":"If set \"true\", the device can be emailed from any email client using the following address format \"imei@globalalerting.com\""},"EnableSmsReplies":{"type":"boolean","description":"If set \"true\", the sms messages from the device will include a reply link","nullable":true},"IsMonitored":{"type":"boolean","description":"A boolean indicating if the device is currently monitored"},"MonitoringIntervalMinutes":{"type":"integer","description":"A whole number that specifies number of minutes for device monitoring interval","format":"int32","nullable":true},"MonitoringBufferMinutes":{"type":"integer","description":"A whole number that specifies number of minutes buffer for device monitoring","format":"int32","nullable":true},"MonitoringOverdue":{"$ref":"#/components/schemas/OverdueState"},"EmergencyState":{"$ref":"#/components/schemas/EmergencyState"},"EmergencyStateAcknowledged":{"type":"boolean","description":"A flag indicating that the emergency state on the device has been acknowledged on the portal","nullable":true},"PhoneNumber":{"type":"string","description":"A string starting with '+' indicating device phone number (can be used only if device supports phone number property)","nullable":true},"LastLatitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastLongitude":{"type":"number","description":"Last known position of the device","format":"double","nullable":true},"LastMessageTime":{"type":"string","description":"A date and time of last MO Message (UTC)","format":"date-time","nullable":true},"LastLocationTime":{"type":"string","description":"A date and time of last MO Message with position (UTC)","format":"date-time","nullable":true},"Properties":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"A dictionary with additional device properties","nullable":true},"Timestamp":{"type":"string","description":"Timestamp (UTC) indicating version of record being returned","format":"date-time","nullable":true},"ETag":{"type":"string","description":"ETag representing record version","nullable":true},"Photo":{"type":"string","description":"Base64 encoded device photo. Included in GET request only when photo parameter is specified.","nullable":true},"CustomEmailAddress":{"type":"string","description":"Custom Email address. If supported for your account","nullable":true},"SecondaryDeviceId":{"type":"string","description":"Secondary Device Id for devices that send messages with multiple device identifiers.","nullable":true}},"additionalProperties":false},"ProvisioningStatus":{"enum":["Provisioned","NotProvisioned","Suspended"],"type":"string"},"OverdueState":{"enum":["NotOverdue","Warning","Overdue"],"type":"string"},"EmergencyState":{"enum":["None","Emergency","EmergencyCancel","NotSpecified"],"type":"string"}}}}
```

## DELETE /V2/{tenantVarCode}/devices/{deviceId}

> Deletes a specific device

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Devices"}],"paths":{"/V2/{tenantVarCode}/devices/{deviceId}":{"delete":{"tags":["Devices"],"summary":"Deletes a specific device","parameters":[{"name":"tenantVarCode","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"deviceId","in":"path","description":"Device Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PATCH /V2/{tenantVarCode}/devices/{deviceId}

> Updates an existing device with JsonPatch document

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Devices"}],"paths":{"/V2/{tenantVarCode}/devices/{deviceId}":{"patch":{"tags":["Devices"],"summary":"Updates an existing device with JsonPatch document","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"deviceId","in":"path","description":"Device Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Device JsonPatch document","content":{"application/json-patch+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}},"application/*+json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operation"}}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Operation":{"type":"object","properties":{"value":{"nullable":true},"path":{"type":"string","nullable":true},"op":{"type":"string","nullable":true},"from":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```
